Rev 679: make it easier to test starting large numbers of virtual nodes in http://samba.org/~tridge/ctdb

tridge at samba.org tridge at samba.org
Mon Nov 12 23:28:17 GMT 2007


------------------------------------------------------------
revno: 679
revision-id:tridge at samba.org-20071112232806-oa7mfrcng3ku8lvu
parent: tridge at samba.org-20071112232744-kq8gyv0g8w1qoksv
committer: Andrew Tridgell <tridge at samba.org>
branch nick: tridge.stable
timestamp: Tue 2007-11-13 10:28:06 +1100
message:
  make it easier to test starting large numbers of virtual nodes
modified:
  tests/ctdbd.sh                 ctdbd.sh-20070411085038-phusiewluwzyqjpc-2
  tests/fetch.sh                 fetch.sh-20070405031756-lomzqpjyqg3xd1kv-1
  tests/persistent.sh            persistent.sh-20070921022335-ytbefhrr45n2mc3j-1
  tests/start_daemons.sh         start_daemons.sh-20070604074603-fbb8x90srun04xn0-1
=== modified file 'tests/ctdbd.sh'
--- a/tests/ctdbd.sh	2007-06-04 09:53:19 +0000
+++ b/tests/ctdbd.sh	2007-11-12 23:28:06 +0000
@@ -2,7 +2,7 @@
 
 killall -q ctdbd
 
-tests/start_daemons.sh 2 tests/nodes.txt || exit 1
+tests/start_daemons.sh 2 || exit 1
 
 echo "Testing ping"
 $VALGRIND bin/ctdb ping || exit 1

=== modified file 'tests/fetch.sh'
--- a/tests/fetch.sh	2007-06-04 07:46:37 +0000
+++ b/tests/fetch.sh	2007-11-12 23:28:06 +0000
@@ -5,12 +5,7 @@
     NUMNODES=$1
 fi
 
-rm -f nodes.txt
-for i in `seq 1 $NUMNODES`; do
-  echo 127.0.0.$i >> nodes.txt
-done
-
-tests/start_daemons.sh $NUMNODES nodes.txt || exit 1
+tests/start_daemons.sh $NUMNODES || exit 1
 
 
 killall -9 -q ctdb_fetch

=== modified file 'tests/persistent.sh'
--- a/tests/persistent.sh	2007-09-21 02:24:02 +0000
+++ b/tests/persistent.sh	2007-11-12 23:28:06 +0000
@@ -5,12 +5,7 @@
     NUMNODES=$1
 fi
 
-rm -f nodes.txt
-for i in `seq 1 $NUMNODES`; do
-  echo 127.0.0.$i >> nodes.txt
-done
-
-tests/start_daemons.sh $NUMNODES nodes.txt || exit 1
+tests/start_daemons.sh $NUMNODES || exit 1
 
 
 killall -9 -q ctdb_persistent

=== modified file 'tests/start_daemons.sh'
--- a/tests/start_daemons.sh	2007-09-21 02:24:02 +0000
+++ b/tests/start_daemons.sh	2007-11-12 23:28:06 +0000
@@ -1,9 +1,17 @@
 #!/bin/sh
 
-NUMNODES="$1"
-NODES=$2
-shift
-shift
+NUMNODES=2
+if [ $# -gt 0 ]; then
+    NUMNODES=$1
+fi
+NODES="nodes.txt"
+shift
+shift
+
+rm -f nodes.txt
+for i in `seq 1 $NUMNODES`; do
+  echo 127.0.0.$i >> nodes.txt
+done
 
 killall -q ctdbd
 



More information about the samba-cvs mailing list